AOZ Studio Beta - Bug #123

Rainbow colour mapping issue
02/05/2020 10:04 AM - Nick Morison

Status: In Progress Start date: 02/05/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.4

Description

There seems to be an issue when mapping a rainbow onto different colours (other than 0), it leaves a white border around the

objects drawn:

#manifest:"amiga"
#fullScreen:true
#splashScreen:false

screen open 0,320,200,16,lowres
curs off: flash off: cls 0

pen 2 : paper 0: print "This leaves a white border around the text."

ink 2 : bar 100,100 to 150,150 // white border also drawn around the bar (filled box!!).

set rainbow 0,2,32,"","","(1,1,15)(1,-1,15)" // rainbow mapped to colour 2

rainbow 0,0,0,32
wait key

History

#1 - 02/22/2020 08:45 AM - Francois Lionet

- Status changed from New to In Progress

This cannot be corrected today, it is due to the anti-aliasing of the canvas with the Google fonts.

It will be corrected later.
